<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Michel Baeriswyl <formhandler_backend@pragmas.ch>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 *
 *
 *   47: class tx_formhandlerbackend_addFlexformElement extends t3lib_extFileFunctions
 *   61:     function __construct()
 *   79:     function checkPretemplate($dir)
 *   97:     function addFields_formselect($config)
 *
 * TOTAL FUNCTIONS: 3
 * (This index is automatically created/updated by the extension "extdeveval")
 *
 */


/**
 * Class that adds postinstall function to extension configuration.
 *
 * @author   Michel Baeriswyl <formhandler_backend@pragmas.ch>
 * @package   TYPO3
 * @subpackage   tx_formhandlerbackend
 */
class tx_formhandlerbackend_postinstall {
    /**
     * Generates and returns an message.
     *
     * @param array               $params      Name and value from ext_conf_template.txt
     * @param object $styleConfig Instance of config style editor t3lib_tsStyleConfig
     *
     * @return string HTML code
     */
    public function postInstall(
        array $params, $styleConfig
    ) {
      $content = '';
      $version =  class_exists('t3lib_utility_VersionNumber')
              ? t3lib_utility_VersionNumber::convertVersionNumberToInteger(TYPO3_version)
              : t3lib_div::int_from_ver(TYPO3_version);
        // Initially add ext-conf to localconf.php in typo3 versions below 6
      if (empty($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['formhandler_backend'])&&$version < 6000000) {
        $path = t3lib_div::getFileAbsFileName('typo3conf/localconf.php');
        if ($path && t3lib_div::validPathStr($path) && @is_file($path)) {
          $file = t3lib_div::getUrl($path);
          $TYPO3_CONF_VARS['EXT']['extConf']['formhandler_backend'] = 'a:12:{s:12:"pretemplates";s:41:"EXT:formhandler_backend/res/pretemplates/";s:11:"ts-contants";s:19:"ts/ts_constants.txt";s:9:"ts-config";s:15:"ts/ts_setup.txt";s:13:"html-template";s:18:"html/template.html";s:17:"mailuser-template";s:20:"html/email-user.html";s:18:"mailadmin-template";s:21:"html/email-admin.html";s:13:"lang-template";s:13:"lang/lang.xml";s:9:"templates";s:40:"uploads/tx_formhandlerbackend/templates/";s:6:"marker";s:13:"###dynamic###";s:18:"email_html_dynwrap";s:16:"<table>|</table>";s:15:"email_html_wrap";s:8:"<p>|</p>";s:18:"sys_template_write";s:1:"1";}';
          $add = "\$TYPO3_CONF_VARS['EXT']['extConf']['formhandler_backend'] = '". $TYPO3_CONF_VARS['EXT']['extConf']['formhandler_backend'] ."'; // Updated by TYPO3 Extension Formhandler Backend ". date('d-m-y h:i:s') ."
";
          $file = substr_replace($file, $add , strrpos($file,'?>'), 0);
          t3lib_div::writeFile($path,$file);
          $content = "Ext-conf added";
        }
        $TCE = t3lib_div::makeInstance('t3lib_TCEmain');
        $TCE->admin = 1;
        $TCE->clear_cacheCmd('temp_CACHED');
      }
      return $content;
    }
}
?>