<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Michel Baeriswyl <formhandler_backend@pragmas.ch>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 *
 *
 *   45: class tx_formhandlerbackend_pi1 extends tslib_pibase
 *   58:     public function main($content, array $conf)
 *   81:     protected function fetchConfigurationValue($param)
 *
 * TOTAL FUNCTIONS: 2
 * (This index is automatically created/updated by the extension "extdeveval")
 *
 */

/**
 * Plugin 'Formhandler GUI' for the 'formhandler_backend' extension.
 *
 * @author	Michel Baeriswyl <formhandler_backend@pragmas.ch>
 * @package	TYPO3
 * @subpackage	tx_formhandlerbackend
 */
class tx_formhandlerbackend_pi1 extends \TYPO3\CMS\Frontend\Plugin\AbstractPlugin {
	public $prefixId      = 'tx_formhandlerbackend_pi1';		// Same as class name
	public $scriptRelPath = 'pi1/class.tx_formhandlerbackend_pi1.php';	// Path to this script relative to the extension dir.
	public $extKey        = 'formhandler_backend';	// The extension key.
	public $pi_checkCHash = TRUE;

	/**
	 * The main method of the Plugin.
	 *
	 * @param	string		$content The Plugin content
	 * @param	array		$conf The Plugin configuration
	 * @return	string		The content that is displayed on the website
	 */
	public function main($content, array $conf) {
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		$this->pi_initPIflexForm();

		$TS = array();

		$TS['includeLibs'] = 'typo3conf/ext/formhandler/pi1/class.tx_formhandler_pi1.php';
		$TS['userFunc'] = 'tx_formhandler_pi1->main';
		$TS['predefined'] = $this->fetchConfigurationValue('predefined');

		$content = $this->cObj->cObjGetSingle('USER_INT',$TS);

		return $this->pi_wrapInBaseClass($content);
	}

  /**
 * Fetches configuration value given its name. Merges flexform and TS configuration values.
 *
 * @param	string		$param  Configuration value name
 * @return	string		Parameter value
 */
  protected function fetchConfigurationValue($param) {
    $value = trim($this->pi_getFFvalue($this->cObj->data['pi_flexform'], $param));
    return $value ? $value : $this->conf[$param];
  }

}



if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/formhandler_backend/pi1/class.tx_formhandlerbackend_pi1.php'])) {
	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/formhandler_backend/pi1/class.tx_formhandlerbackend_pi1.php']);
}

?>
