<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_formhandlerbackend_fieldset'] = array(
    'ctrl' => $TCA['tx_formhandlerbackend_fieldset']['ctrl'],
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid,l18n_parent,l18n_diffsource,hidden,form,step,marker,fields'
    ),
    'feInterface' => $TCA['tx_formhandlerbackend_fieldset']['feInterface'],
    'columns' => array(
        'sys_language_uid' => array(        
            'config' => array(
                'type' => 'passthrough'
            )
        ),
        'l18n_parent' => array(        
            'l10n_mode' => 'exclude',
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude'     => 0,
            'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
            'config'      => array(
                'type'  => 'select',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table'       => 'tx_formhandlerbackend_fieldset',
                'foreign_table_where' => 'AND tx_formhandlerbackend_fieldset.pid=###CURRENT_PID### AND tx_formhandlerbackend_fieldset.sys_language_uid IN (-1,0)',
            )
        ),
        'l18n_diffsource' => array(        
            'config' => array(
                'type' => 'passthrough'
            )
        ),
        'form' => array(        
            'config' => array(
                'type' => 'passthrough',
            )
        ),
        'step' => array(        
            'config' => array(
                'type'     => 'passthrough',
            )
        ),
        'marker' => array(        
            'config' => array(
                'type'     => 'passthrough',
            )
        ),
        'fields' => array(        
            'exclude' => 0,        
            'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_fieldset.fields',        
            'config' => array(
  		        'type' => 'inline',
  		        'foreign_table' => 'tx_formhandlerbackend_field',
  		        'foreign_field' => 'fieldset',
  		        'foreign_label' => 'label',
              'foreign_sortby' => 'sorting',
  		        'maxitems' => 99,
  		        'appearance' => Array(
  		          'collapseAll' => 1,
  		          'expandSingle' => 1,
  		          'useCombination' => 1,
  		          'newRecordLinkAddTitle' => 1,
  		          'newRecordLinkPosition' => 'bottom',
                'useSortable' => 0,
  		        ),
            	'behaviour' => array(
            		'localizationMode' => 'select',
            		'localizeChildrenAtParentLocalization' => 1,
            	),
            )
        ),
    ),
    'types' => array(
        '0' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, form, step, marker, fields')
    ),
    'palettes' => array(
        '1' => array('showitem' => '')
    )
);


$TCA['tx_formhandlerbackend_field'] = array(
	'ctrl' => $TCA['tx_formhandlerbackend_field']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid,l18n_parent,l18n_diffsource,hidden,label,instructions,name,value,options,required,is_type,validation,form'
	),
	'type' => 'is_type',
	'feInterface' => $TCA['tx_formhandlerbackend_field']['feInterface'],
	'columns' => array(
		'sys_language_uid' => array(		
      'l10n_mode' => 'exclude',
			'exclude' => 0,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 0,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array(
				'type'  => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table'       => 'tx_formhandlerbackend_field',
				'foreign_table_where' => 'AND tx_formhandlerbackend_field.pid=###CURRENT_PID### AND tx_formhandlerbackend_field.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array(		
			'config' => array(
				'type' => 'passthrough'
			)
		),
		'name' => array(		
      'l10n_mode' => 'exclude',
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.name',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',
				'eval' => 'required,lower,nospace,alphanum_x,uniqueInPid',
			)
		),
		'label' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.label',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'instructions' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.instructions',		
			'config' => array(
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
    'is_type' => array(        
      'l10n_mode' => 'exclude',
      'exclude' => 0,        
      'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.is_type',        
      'config' => array(
        'type' => 'select',    
      	'foreign_table' => 'tx_formhandlerbackend_type',    
        'foreign_table_where' => 'AND tx_formhandlerbackend_type.pid IN (0, ###PAGE_TSCONFIG_ID###) ORDER BY tx_formhandlerbackend_type.uid',
        'size' => 1,    
        'minitems' => 0,
        'maxitems' => 1,
      )
    ),
		'value' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.value',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',
			)
		),
    'options' => array(        
        'exclude' => 0,        
        'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.options',        
        'config' => array(
          	'type' => 'inline',
          	'foreign_table' => 'tx_formhandlerbackend_field_option',
          	'foreign_field' => 'field',
          	'foreign_label' => 'option_label',
            'foreign_sortby' => 'sorting',
  	        'maxitems' => 99,
  	        'appearance' => Array(
    	          'collapseAll' => 1,
    	          'expandSingle' => 1,
    	          'useCombination' => 1,
    	          'newRecordLinkAddTitle' => 1,
    	          'newRecordLinkPosition' => 'bottom',
                'useSortable' => 0,
  	        ),
          	'behaviour' => array(
            		'localizationMode' => 'select',
            		'localizeChildrenAtParentLocalization' => 1,
          	),
        )
    ),
    'validation' => array(        
        'l10n_mode' => 'exclude',
        'exclude' => 0,        
        'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field.validation',        
        'config' => array(
            'type' => 'select',    
            'foreign_table' => 'tx_formhandlerbackend_validation',    
            'foreign_table_where' => 'AND tx_formhandlerbackend_validation.pid IN (0,###PAGE_TSCONFIG_ID###) ORDER BY tx_formhandlerbackend_validation.uid',    
            'size' => 5,    
            'minitems' => 0,
            'maxitems' => 9,
        )
    ),
		'fieldset' => array(		
  			'config' => array(
    				'type' => 'passthrough',
  			)
 		),
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, instructions, value, validation, fieldset'),
		'2' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, instructions, value, options, validation, fieldset'),
		'3' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, instructions, value, validation, fieldset'),
		'4' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, instructions, value, validation, fieldset'),
		'5' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, instructions, value, options, validation, fieldset'),
		'10' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, instructions, fieldset'),
		'20' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, is_type, label, name, fieldset'),
	),
	'palettes' => array(
		'1' => array('showitem' => '')
	)
);

$TCA['tx_formhandlerbackend_field_option'] = array(
		'ctrl' => $TCA['tx_formhandlerbackend_field_option']['ctrl'],
		'interface' => array(
				'showRecordFieldList' => 'hidden,field,option_value,option_label'
		),
		'feInterface' => $TCA['tx_formhandlerbackend_field_option']['feInterface'],
		'columns' => array(
    		'sys_language_uid' => array(		
          'l10n_mode' => 'exclude',
    			'exclude' => 0,
    			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
    			'config' => array(
    				'type'                => 'select',
    				'foreign_table'       => 'sys_language',
    				'foreign_table_where' => 'ORDER BY sys_language.title',
    				'items' => array(
    					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
    					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
    				)
    			)
    		),
    		'l18n_parent' => array(		
    			'displayCond' => 'FIELD:sys_language_uid:>:0',
    			'exclude'     => 0,
    			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
    			'config'      => array(
    				'type'  => 'select',
    				'items' => array(
    					array('', 0),
    				),
    				'foreign_table'       => 'tx_formhandlerbackend_field_option',
    				'foreign_table_where' => 'AND tx_formhandlerbackend_field_option.pid=###CURRENT_PID### AND tx_formhandlerbackend_field_option.sys_language_uid IN (-1,0)',
    			)
    		),
    		'l18n_diffsource' => array(		
    			'config' => array(
    				'type' => 'passthrough'
    			)
    		),
				'hidden' => array(
						'exclude' => 0,
						'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
						'config'  => array(
        				'type' => 'passthrough',
								'default' => '0'
						)
				),
				'field' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field_option.field',
						'config' => array(
			                'type' => 'select',    
			                'foreign_table' => 'tx_formhandlerbackend_field',    
			                'foreign_table_where' => 'AND tx_formhandlerbackend_field.pid=###CURRENT_PID### ORDER BY tx_formhandlerbackend_field.uid',    
			                'size' => 1,    
			                'minitems' => 0,
			                'maxitems' => 1,
						)
				),
				'option_value' => array(
            'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field_option.option_value',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,nospace',
						)
				),
				'option_label' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field_option.option_label',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
		),
		'types' => array(
				'0' => array('showitem' => 'sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, field, option_label, option_value')
		),
		'palettes' => array(
				'1' => array('showitem' => '')
		)
);

$TCA['tx_formhandlerbackend_type'] = array(
	'ctrl' => $TCA['tx_formhandlerbackend_type']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden,name,mastertemplate'
	),
	'feInterface' => $TCA['tx_formhandlerbackend_type']['feInterface'],
	'columns' => array(
		'hidden' => array(		
			'exclude' => 0,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array(
				'type'    => 'check',
				'default' => '0'
			)
		),
		'name' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_type.name',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
        'master_template' => array(        
            'exclude' => 0,        
            'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_type.master_template',        
            'config' => array(
                'type' => 'text',
                'wrap' => 'OFF',
                'cols' => '30',    
                'rows' => '5',
            )
        ),
        'master_option_template' => array(        
            'exclude' => 0,        
            'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_type.master_option_template',        
            'config' => array(
                'type' => 'text',
                'wrap' => 'OFF',
                'cols' => '30',    
                'rows' => '5',
            )
        ),
        'master_email_template' => array(        
            'exclude' => 0,        
            'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_type.master_email_template',        
            'config' => array(
                'type' => 'text',
                'wrap' => 'OFF',
                'cols' => '30',    
                'rows' => '5',
            )
        ),
    ),
    'types' => array(
        '0' => array('showitem' => 'hidden;;1;;1-1-1, name, master_template, master_option_template, master_email_template')
    ),
	'palettes' => array(
		'1' => array('showitem' => '')
	)
);



$TCA['tx_formhandlerbackend_validation'] = array(
	'ctrl' => $TCA['tx_formhandlerbackend_validation']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden,name,typoscript,typoscript_addition,jquery_class'
	),
	'feInterface' => $TCA['tx_formhandlerbackend_validation']['feInterface'],
	'columns' => array(
		'hidden' => array(		
			'exclude' => 0,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array(
				'type'    => 'check',
				'default' => '0'
			)
		),
		'name' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_validation.name',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'typoscript' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_validation.typoscript',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'typoscript_addition' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_validation.typoscript_addition',		
			'config' => array(
				'type' => 'text',
				'wrap' => 'OFF',
				'cols' => '30',	
				'rows' => '5',
			)
		),
		'jquery_class' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_validation.jquery_class',		
			'config' => array(
				'type' => 'input',	
				'size' => '30',
			)
		),
	),
	'types' => array(
		'0' => array('showitem' => 'hidden;;1;;1-1-1, name, typoscript, typoscript_addition, jquery_class')
	),
	'palettes' => array(
		'1' => array('showitem' => '')
	)	
		
);

$TCA['tx_formhandlerbackend_fieldset']['ctrl']['hideTable'] = 1;
$TCA['tx_formhandlerbackend_field']['ctrl']['hideTable'] = 1;
$TCA['tx_formhandlerbackend_field_option']['ctrl']['hideTable'] = 1;

$TCA['tx_formhandlerbackend_type']['ctrl']['adminOnly'] = 1;
$TCA['tx_formhandlerbackend_type']['ctrl']['rootLevel'] = 1;
$TCA['tx_formhandlerbackend_type']['ctrl']['is_static'] = 1;

$TCA['tx_formhandlerbackend_validation']['ctrl']['adminOnly'] = 1;
$TCA['tx_formhandlerbackend_validation']['ctrl']['rootLevel'] = 1;
$TCA['tx_formhandlerbackend_validation']['ctrl']['is_static'] = 1;
?>
